type GlobalContext<U = any> = {
  redis?: any;
} & U;
/**
 * 获取上下文，当key存在时，返回key对应的值，不存在时，返回init函数的值
 * 若init不存在，key存在，直接进行循环检测，直到key存在，需要await
 *
 * @param key
 * @param init
 * @returns
 */
export { useContextKey, useContext } from '@kevisual/context';

export const setContextKey = <T>(key: string, value: T) => {
  // @ts-ignore
  const _context = useContext<GlobalContext<T>>({});
  _context[key] = value;
  return _context;
};
